/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing TermsOfServiceDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class TermsOfServiceDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for TermsOfServiceDto
        //private TermsOfServiceDto instance;

        public TermsOfServiceDtoTests()
        {
            // TODO uncomment below to create an instance of TermsOfServiceDto
            //instance = new TermsOfServiceDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of TermsOfServiceDto
        /// </summary>
        [Fact]
        public void TermsOfServiceDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" TermsOfServiceDto
            //Assert.IsType<TermsOfServiceDto>(instance);
        }

        /// <summary>
        /// Test the property 'VarVersion'
        /// </summary>
        [Fact]
        public void VarVersionTest()
        {
            // TODO unit test for the property 'VarVersion'
        }

        /// <summary>
        /// Test the property 'Href'
        /// </summary>
        [Fact]
        public void HrefTest()
        {
            // TODO unit test for the property 'Href'
        }

        /// <summary>
        /// Test the property 'IsCurrent'
        /// </summary>
        [Fact]
        public void IsCurrentTest()
        {
            // TODO unit test for the property 'IsCurrent'
        }
    }
}
